﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Excel;

namespace ExcelSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

     
        
        //Creating Excel file with Subtotals
        private void button1_Click(object sender, EventArgs e)
        {
            XLStyle totalStyle = new XLStyle(book);
            totalStyle.Font = new Font("Arial", 12, FontStyle.Bold) ;

            XLSheet sheet = book.Sheets[0];
            sheet[2, 1].Value = "Subject";
            sheet[2, 2].Value = "Marks";
            sheet[3, 1].Value = "Eng A";
            sheet[3, 2].Value = 17;

            //Set the Outline Level of the row
            sheet.Rows[3].OutlineLevel = 2;
            sheet.Rows[3].Visible = true;

            sheet[4, 1].Value = "Eng B";
            sheet[4, 2].Value = 14;

            sheet.Rows[4].OutlineLevel = 2;
            sheet.Rows[4].Visible = true;

            sheet[5, 1].Value = "Total";
            sheet[5, 1].Style = totalStyle;
            sheet[5, 2].Value = 31;


            //Used to calculate subtotal
            sheet[5, 2].Formula = "SUBTOTAL(9,C4:C5)";
            sheet.Rows[5].OutlineLevel = 1;

            sheet[7, 1].Value = "IT";
            sheet[7, 2].Value = 25;
            sheet.Rows[7].OutlineLevel = 2;

            sheet[8, 1].Value = "Total";
            sheet[8, 1].Style = totalStyle;
            sheet[8, 2].Value = 25;

            sheet[8, 2].Formula = "SUBTOTAL(9,C8:C8)";
            sheet.Rows[8].OutlineLevel = 1;

            sheet[10, 1].Value = "Grand Total";
            sheet[10, 1].Style = totalStyle;

            sheet[10, 2].Value = 140;
            sheet[10, 2].Formula = "SUBTOTAL(9,C4:C8)";

            sheet.Rows[10].OutlineLevel = 0;

            book.Save("SaveSubTotal.xlsx");   // or “Save.xls”
        }
     
        //Load Excel File with Sheet 0 Only
        private void button2_Click(object sender, EventArgs e)
        {
            // path of file for loading (xls or xlsx)
            string path = "..//..//MultipleSheets.xlsx";

            // load workbook without worksheet data
            book.Load(path, false);
            //load data on sheet 0 only
            book.Sheets[0].Load(path, true);
        }

    }
}
